curl --request GET \
--url https://api.jtl-cloud.com/erp/salesChannels \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesChannels"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesChannels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": "<string>",
"Type": 0,
"Name": "<string>",
"ItemCapabilities": {
"Descriptions": true,
"OnlineShopActivation": true,
"Prices": true,
"SpecialPrices": true,
"Images": true
},
"CategoryCapabilities": {
"Descriptions": true,
"OnlineShopActivation": true
},
"DocumentationUrl": "<string>"
}
]Get Sales Channels
Get all sales channels
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all sales channels with the available endpoints.
Unique ID to identify a sales channel.
Type of the sales channel.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Name of the sales channel, e.g. eBay.de, amazon.uk, myshop.de.
Indicates which parts of items can be manipulated for a specific sales channel via REST-API.
Show child attributes
Show child attributes
Indicates which parts of categories can be manipulated for a specific sales channel via REST-API.
Show child attributes
Show child attributes
URL for the documentation of the available endpoints for this specific sales channel.
Was this page helpful?